#####################################################################
#
# test_all  Convenience script to run all unit tests at one
#
# This software is governed by a license. See
# LICENSE.txt for the terms of this license.
#
#####################################################################
""" LDAPUserFolder tests.

$Id: test_all.py,v 1.2 2004/09/10 12:23:20 jens Exp $
"""

from unittest import main
from unittest import makeSuite
from unittest import TestSuite
from Products.LDAPUserFolder.tests.testLDAPUser import TestLDAPUser
from Products.LDAPUserFolder.tests.testSimpleCache import TestSimpleCache
from Products.LDAPUserFolder.tests.testSimpleLog import TestSimpleLog
from Products.LDAPUserFolder.tests.testLDAPUserFolder import TestLDAPUserFolder
from Products.LDAPUserFolder.tests.testLDAPUserSatellite import TestLDAPUserSatellite
import Testing
import Zope
Zope.startup()


def test_suite():
    suite = TestSuite()
    suite.addTest(makeSuite(TestLDAPUser))
    suite.addTest(makeSuite(TestSimpleCache))
    suite.addTest(makeSuite(TestSimpleLog))
    suite.addTest(makeSuite(TestLDAPUserFolder))
    suite.addTest(makeSuite(TestLDAPUserSatellite))

    return suite

if __name__ == '__main__':
    main(defaultTest='test_suite')


